# Helix List Representation of Secondary Structures

typedef struct vrna_hx_s vrna_hx_t
  #include <ViennaRNA/structures/helix.h>

  Convenience typedef for data structure vrna_hx_s.

vrna_hx_t *vrna_hx_from_ptable(short *pt)
  #include <ViennaRNA/structures/helix.h>

  Convert a pair table representation of a secondary structure into a helix list.

  Parameters:

    - pt – The secondary structure in pair table representation

  Returns:

    The secondary structure represented as a helix list

vrna_hx_t *vrna_hx_merge(const vrna_hx_t *list, int maxdist)
  #include <ViennaRNA/structures/helix.h>

  Create a merged helix list from another helix list.

struct vrna_hx_s
  #include <ViennaRNA/structures/helix.h>

  Data structure representing an entry of a helix list.

  Public Members

  unsigned int start
  unsigned int end
  unsigned int length
  unsigned int up5
  unsigned int up3